## memo 1.0

=== DESCRIPTION ===
Package: memo
Type: Package
Title: In-Memory Caching for Repeated Computations
Version: 1.0
Date: 2016-8-22
Author: Peter Meilstrup <peter.meilstrup@gmail.com>
Maintainer: Peter Meilstrup <peter.meilstrup@gmail.com>
Description: A simple in-memory, LRU cache that can be wrapped
    around any function to memoize it. The cache can be keyed on a hash of the
    input data (using 'digest') or on pointer equivalence.
License: MIT + file LICENSE
Imports: digest
Suggests: testthat (>= 0.2), knitr, rmarkdown
Collate: 'lru.R' 'cache.R' 'getPointer.R' 'memo-description.r'
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-08-24 22:42:15 UTC; peter
Repository: CRAN
Date/Publication: 2016-08-25 10:00:55

## memo 1.0.1

=== DESCRIPTION ===
Package: memo
Type: Package
Title: In-Memory Caching for Repeated Computations
Version: 1.0.1
Date: 2018-1-03
Author: Peter Meilstrup <peter.meilstrup@gmail.com>
Maintainer: Peter Meilstrup <peter.meilstrup@gmail.com>
Description: A simple in-memory, LRU cache that can be wrapped
    around any function to memoize it. The cache can be keyed on a hash of the
    input data (using 'digest') or on pointer equivalence.
License: MIT + file LICENSE
Imports: digest
Suggests: testthat (>= 0.2), knitr, rmarkdown
Collate: 'lru.R' 'cache.R' 'getPointer.R' 'memo-description.r'
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-01-04 02:02:40 UTC; peter
Repository: CRAN
Date/Publication: 2018-01-04 04:23:01 UTC

## memo 1.0.2

=== DESCRIPTION ===
Package: memo
Type: Package
Title: In-Memory Caching of Repeated Computations (Memoization)
Version: 1.0.2
Date: 2022-4-28
Author: Peter Meilstrup <peter.meilstrup@gmail.com>
Maintainer: Peter Meilstrup <peter.meilstrup@gmail.com>
Description: A simple in-memory, LRU cache that can be wrapped
    around any function to memoize it. The cache is keyed on a hash of the
    input data (using 'digest') or on pointer equivalence.
License: MIT + file LICENSE
Imports: digest
Suggests: testthat (>= 0.2), knitr, rmarkdown
Collate: 'lru.R' 'cache.R' 'getPointer.R' 'memo-description.r'
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2022-05-05 06:30:36 UTC; peter
Repository: CRAN
Date/Publication: 2022-05-05 07:10:02 UTC

## memo 1.1

=== DESCRIPTION ===
Package: memo
Type: Package
Title: In-Memory Caching of Repeated Computations (Memoization)
Version: 1.1
Date: 2023-1-12
Author: Peter Meilstrup <peter.meilstrup@gmail.com>
Maintainer: Peter Meilstrup <peter.meilstrup@gmail.com>
Description: A simple in-memory, LRU cache that can be wrapped
    around any function to memoize it. The cache is keyed on a hash of the input data (using 'digest') or on pointer equivalence.
License: MIT + file LICENSE
Encoding: UTF-8
Imports: digest
Suggests: testthat (>= 0.2), knitr, rmarkdown
Collate: 'lru.R' 'cache.R' 'getPointer.R' 'map.R' 'memo-description.r'
VignetteBuilder: knitr
RoxygenNote: 7.2.1
NeedsCompilation: yes
Packaged: 2023-02-09 02:47:49 UTC; peter
Repository: CRAN
Date/Publication: 2023-02-09 03:30:02 UTC

## memo 1.1.1

=== DESCRIPTION ===
Package: memo
Type: Package
Title: In-Memory Caching of Repeated Computations (Memoization)
Version: 1.1.1
Date: 2023-12-11
Author: Peter Meilstrup <peter.meilstrup@gmail.com>
Maintainer: Peter Meilstrup <peter.meilstrup@gmail.com>
Description: A simple in-memory, LRU cache that can be wrapped
    around any function to memoize it. The cache is keyed on a hash of the input data (using 'digest') or on pointer equivalence.
License: MIT + file LICENSE
Encoding: UTF-8
Imports: digest
Suggests: testthat (>= 0.2), knitr, rmarkdown
Collate: 'lru.R' 'cache.R' 'getPointer.R' 'map.R' 'memo-description.r'
VignetteBuilder: knitr
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-12-11 23:56:18 UTC; peter
Repository: CRAN
Date/Publication: 2023-12-12 00:40:02 UTC

## memo 1.1.2

=== DESCRIPTION ===
Package: memo
Type: Package
Title: Hashmaps and Memoization (in-Memory Caching of Repeated
        Computations)
Version: 1.1.2
Date: 2025-12-10
Authors@R: person(given = "Peter",
                      family = "Meilstrup",
                      role = c("aut", "cre"),
                      email = "peter.meilstrup@gmail.com")
Maintainer: Peter Meilstrup <peter.meilstrup@gmail.com>
Description: A simple in-memory, LRU cache that can be wrapped
    around any function to memoize it. The cache is keyed on a hash
    of the input data (using 'digest') or on pointer equivalence.
    Also includes a generic hashmap object that can key on any object type.
License: MIT + file LICENSE
Encoding: UTF-8
Imports: digest
Suggests: testthat (>= 0.2), knitr, rmarkdown
Collate: 'lru.R' 'cache.R' 'getPointer.R' 'map.R' 'memo-description.r'
VignetteBuilder: knitr
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2025-12-09 23:36:22 UTC; peter
Author: Peter Meilstrup [aut, cre]
Depends: R (>= 3.5.0)
Repository: CRAN
Date/Publication: 2025-12-10 08:10:17 UTC

## memo 1.7.1

=== Makefile ===
DESTDIR   ?=
PREFIX    ?= /usr/local
MANPREFIX ?= $(PREFIX)/man

CFLAGS += -std=c99 -Wall

ifeq ($(OS),Windows_NT)
  LDFLAGS += -lpcre
endif

all: memo

clean:
	rm -f memo *.o

install: all
	install -d $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(MANPREFIX)/man1
	install -m755 memo $(DESTDIR)$(PREFIX)/bin/
	install -m644 memo.1 $(DESTDIR)$(MANPREFIX)/man1/

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/memo
	rm -f $(DESTDIR)$(MANPREFIX)/man1/memo.1

.PHONY: all clean install uninstall

=== debian/changelog ===
memo (1.7.1-3) unstable; urgency=low

  * debian/control:
      - Bumped DH level to 13.
  * debian/tests/control:
      - Added to perform a test.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 28 May 2020 01:09:14 +0000

memo (1.7.1-2) unstable; urgency=low

  * source only upload

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 20 Apr 2020 00:45:32 +0000

memo (1.7.1-1) unstable; urgency=low

  * Initial release (Closes: #955462)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sun, 05 Apr 2020 19:53:07 +0000

=== debian/control ===
Source: memo
Section: utils
Priority: optional
Maintainer: Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/nrosvall/memo
Vcs-Browser: https://salsa.debian.org/debian/memo
Vcs-Git: https://salsa.debian.org/debian/memo.git

Package: memo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: unix-style note-taking software
 Memo is a note-taking and to-do software that runs on command line.
 With Memo, it's possible to concentrate on the tasks in your to-do list
 instead of spending time managing those tasks. After a while taking notes
 and keeping a to-do list is part of your daily life instead of some nasty
 thing you must remember to do.

=== debian/tests/control ===
Test-Command: HOME=$AUTOPKGTEST_TMP;
              for i in $(seq 100); do memo -a $i-debian `date +%Y-%m-%d`; done;
              for i in $(seq 100); do memo -d $i; done

=== debian/watch ===
version=4
https://github.com/nrosvall/memo/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
